import React, { useState, ChangeEvent, MouseEvent } from "react";
import { Card, Button, TextField } from "@mui/material";
import { useNavigate } from "react-router-dom";
import "@scss/forgot_password.scss";

export default function ForgotPassword() {
    const [email, setEmail] = useState("");
    const navigate = useNavigate();

    function handleEmail(e: ChangeEvent<HTMLInputElement>) {
        setEmail(e.target.value);
        console.log(email);
    }

    function buttonCancel(e: MouseEvent<HTMLButtonElement>) {
        e.preventDefault();
        navigate("/login")
    }

    function buttonSubmit(e: MouseEvent<HTMLButtonElement>) {
        e.preventDefault();
        console.log(`Sumbitting email "${email}" to which send a link.`);
        navigate("/reset")
    }

    return (
        <main className="cardContainer">
            <Card className="card">
                    <h3>Forgot Passowrd</h3>
                    <p>
                        If you have forgot your password, we can send you an email
                        with a link to reset it.
                    </p>
                    <TextField
                        className="textfield"
                        id="email"
                        label="Email"
                        value={email}
                        onChange={handleEmail}
                    />
                    <div className="buttons">
                        <Button
                            id="cancel"
                            variant="outlined"
                            onClick={buttonCancel}
                        >
                            Cancel
                        </Button>
                        <Button
                            type="submit"
                            id="submit"
                            variant="contained"
                            onClick={buttonSubmit}
                        >
                            Submit
                        </Button>
                    </div>
            </Card>
        </main>
    );
}
